Loading...
Searching...
No Matches
LCM.LCM.URLParser Class Reference

Internal URL parsing engine. More...

## Public Member Functions

| URLParser (string url)
| URL parser constructor.
string | Get (string key)
| Get value of a parameter.
string | Get (string key, string def)
| Get value of a parameter.
int | Get (string key, int def)
| Get value of a parameter.
bool | Get (string key, bool def)
| Get value of a parameter.
double | Get (string key, double def)
| Get value of a parameter.

## Detailed Description

Internal URL parsing engine.

## Constructor & Destructor Documentation

## URLParser()

LCM.LCM.URLParser.URLParser | ( | string | url | ) |

inline

URL parser constructor.

Parameters

  url | URL to parse

## Member Function Documentation

## Get() [1/5]

string LCM.LCM.URLParser.Get | ( | string | key | ) |

inline

Get value of a parameter.

Parameters

  key | parameter name

Returns
  parameter value

## Get() [2/5]

bool LCM.LCM.URLParser.Get | ( | string | key,
|  | bool | def )

inline

Get value of a parameter.

Parameters

  key | parameter name
  def | default value

Returns
  parameter value

## Get() [3/5]

double LCM.LCM.URLParser.Get | ( | string | key,
|  | double | def )

inline

Get value of a parameter.

Parameters

  key | parameter name
  def | default value

Returns
  parameter value

## Get() [4/5]

int LCM.LCM.URLParser.Get | ( | string | key,
|  | int | def )

inline

Get value of a parameter.

Parameters

  key | parameter name
  def | default value

Returns
  parameter value

## Get() [5/5]

string LCM.LCM.URLParser.Get | ( | string | key,
|  | string | def )

inline

Get value of a parameter.

Parameters

  key | parameter name
  def | default value

Returns
  parameter value

The documentation for this class was generated from the following file:

- lcm/lcm/URLParser.cs